extern crate sal;

use rhai::Engine;
use std::fs;
use std::error::Error;

// Import the SAL library
use sal::rhai;

fn main() -> Result<(), Box<dyn Error>> {
    // Create a new Rhai engine
    let mut engine = Engine::new();
    
    // Register all SAL modules with the engine
    rhai::register(&mut engine)?;
    
    // Read the test script
    let script = fs::read_to_string("test_git.rhai")?;
    
    // Evaluate the script
    match engine.eval::<()>(&script) {
        Ok(_) => println!("Script executed successfully"),
        Err(e) => eprintln!("Script execution error: {}", e),
    }
    
    Ok(())
}